[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# VarArrayRedim

Redimension a variant array

## Declaration

Source position: varianth.inc line 374

`procedure VarArrayRedim(`
`var A: Variant;`
`HighBound: SizeInt`
`);`

## Description

VarArrayRedim re-sizes the first dimension of the variant array A, giving it a new high bound HighBound. Obviously, A must be a variant array for this function to work.